UUtzinger_DRV8704 0.1.0 Arduino library for the DRV8704 dual H-bridge gate driver

Public Member Functions | Public Attributes | List of all members
DRV8704CurrentLimitResult Struct Reference

Derived chip-global current-limit settings and per-bridge consequences. More...

`#include <drv8704_types.h>`

## Public Member Functions
| DRV8704CurrentLimitResult ()

## Public Attributes
float | achievableMaxCurrentAmps
float | ampsPerTorqueCount
float | appliedCurrentLimitAmpsA
float | appliedCurrentLimitAmpsB
bool | enabled
CurrentModePreset | preset
uint32_t | pwmFrequencyHz
float | referenceShuntOhms
float | requestedCurrentLimitAmps
SenseGain | selectedGain
float | shuntOhmsA
float | shuntOhmsB
uint8_t | torqueDac
bool | valid

## Detailed Description

Derived chip-global current-limit settings and per-bridge consequences.

## Constructor & Destructor Documentation

## ◆ DRV8704CurrentLimitResult()

DRV8704CurrentLimitResult::DRV8704CurrentLimitResult | ( |  | ) |
| inline

## Member Data Documentation

## ◆ achievableMaxCurrentAmps

float DRV8704CurrentLimitResult::achievableMaxCurrentAmps

## ◆ ampsPerTorqueCount

float DRV8704CurrentLimitResult::ampsPerTorqueCount

## ◆ appliedCurrentLimitAmpsA

float DRV8704CurrentLimitResult::appliedCurrentLimitAmpsA

## ◆ appliedCurrentLimitAmpsB

float DRV8704CurrentLimitResult::appliedCurrentLimitAmpsB

## ◆ enabled

bool DRV8704CurrentLimitResult::enabled

## ◆ preset

CurrentModePreset DRV8704CurrentLimitResult::preset

## ◆ pwmFrequencyHz

uint32_t DRV8704CurrentLimitResult::pwmFrequencyHz

## ◆ referenceShuntOhms

float DRV8704CurrentLimitResult::referenceShuntOhms

## ◆ requestedCurrentLimitAmps

float DRV8704CurrentLimitResult::requestedCurrentLimitAmps

## ◆ selectedGain

SenseGain DRV8704CurrentLimitResult::selectedGain

## ◆ shuntOhmsA

float DRV8704CurrentLimitResult::shuntOhmsA

## ◆ shuntOhmsB

float DRV8704CurrentLimitResult::shuntOhmsB

## ◆ torqueDac

uint8_t DRV8704CurrentLimitResult::torqueDac

## ◆ valid

bool DRV8704CurrentLimitResult::valid

The documentation for this struct was generated from the following file:

- src/drv8704_types.h